package net
{
	import flash.net.NetConnection;
	import flash.display.Graphics;

	public class WhiteboardConnection extends NetConnection
	{
		private var graphics:Graphics;
		
		public function WhiteboardConnection()
		{
			super();
		}
		
		public function drawLine(startX:int, startY:int, endX:int, endY:int):void
		{
			graphics.moveTo(startX, startY);
			graphics.lineTo(endX, endY);
		}
		
		public function setGraphics(g:Graphics):void
		{
			graphics = g;
		}
		
		public function getGraphics():Graphics
		{
			return graphics;
		}
	}
}